--[[
	AH.GetTopAlertInfo() 返回顶层桌面级弹窗信息，如果顶层没有桌面级弹窗，则返回一个空表
	AH.SetTopAlertFieldsText(tab) 设置顶层桌面级弹窗的文本框内容
	AH.ClickTopAlertButton(btnName) 按下顶层桌面级弹窗的某个按钮
	AH.SetCheckLoop(code[, interval]) 设置循环检查弹窗代码，可用于脱离脚本监视顶层桌面级弹窗，interval 间隔时间单位毫秒可选参数，默认 500 毫秒
--]]

local AH = require 'alerthelper'

-- 设置一个条件过滤规则在春板上，发现某个弹窗就立即处理，脚本停止后依然有效，设置 nil 则取消条件过滤
AH.SetCheckLoop[[
local alertInfo = GetTopAlertInfo()
if type(alertInfo)=='table' and alertInfo.title=='登录' and alertInfo.message=='' then
	if #(alertInfo.textFields)==0 and #(alertInfo.buttons)==3 and alertInfo.buttons[1]=='使用现有的 Apple ID' then
		ClickTopAlertButton('使用现有的 Apple ID')
	end
end
]]

local alertInfo = AH.GetTopAlertInfo()
nLog(alertInfo)
if type(alertInfo)=='table' and alertInfo.title=='Apple ID 密码' and alertInfo.message=='' then
	if type(alertInfo.textFields)=='table' and #(alertInfo.textFields)==2 then
		AH.SetTopAlertFieldsText({
			['用户名'] = 'havonz@qq.com',
			['密码'] = '123',
		})
		AH.ClickTopAlertButton('好')
	end
end
